Subject: Re: [PATCH v2] git-config support for diff.relative setting

From: Junio C Hamano <[email-masked]>
Date: Sat, 20 Dec 2014 18:58:56 -0800

"Philip Oakley" <[email-masked]> writes:

> From: <[email-masked]>
>> By default, git-diff shows changes and pathnames relative to the
>> repository root. Setting the diff.relative config option to "true"
>> shows pathnames relative to the current directory and excludes
>> changes outside this directory (identical to "git diff --relative").
> Shouldn't this `(identical to "git diff --relative")` also be included
> in the documentation change? It would truly clarify the intenbt for
> the reader.

A configuration that sticks a non-default behaviour without a way to
revert to the default is a no-no.

There should be a way to run non-relative diff in a repository that
has the configuration set, perhaps by overriding with some command
line option (e.g. "--no-relative").